<?php

namespace Core;

class View
{
    public static function render(string $view, array $arguments = []): void
    {
        extract($arguments, EXTR_SKIP);
        $file = $_SERVER['DOCUMENT_ROOT'] . "/_incl_data/Views/$view";

        if (is_readable($file)) {
            require $file;
        } else {
            trigger_error("File $file not found!", E_USER_ERROR);
        }
    }
}
