<?php

namespace DTO;

class Present
{
    /** Логин отправителя
     * @var string
     */
    public string $sender;
    /** Логин получателя
     * @var string
     */
    public string $receiver;
    /** id подарка
     * @var int
     */
    public int $itemId;
    /** Заголовок поздравления.
     * Обычно отображается в инфе персонажа в тултипе.
     * @var string
     */
    public string $textTitle = '';
    /** Текст поздравления
     * Отображается только получателю подарка в инвентаре.
     * @var string
     */
    public string $text = '';
    /** Флаг анонимности. Если true, в поле "отправитель" будет "невидимка".
     * @var bool
     */
    public bool $anonymousSender = false;
    /** Флаг кланового подарка. Если true, в поле "отправитель" будет имя клана в котором состоит игрок.
     * @var bool
     */
    public bool $clanSender = false;
}

