<?php

use Core\Config;
use User\Confirmation;

require_once __DIR__ . DIRECTORY_SEPARATOR . '_incl_data/autoload.php';

Config::init();

if (!empty($_GET['id']) && !empty($_GET['code'])) {
    $status = Confirmation::byCode((int)$_GET['id'], (int)$_GET['code']);
}

header('refresh:5;url=' . Config::get('https'));
?>

<!DOCTYPE html>
<html lang="ru">
<head>
    
    <TITLE><?= Config::get('https') ?> Подтверждение операции через e-mail.</TITLE>
    <style>
        body {
            margin-left: 10px;
            margin-top: 20px;
            background-color: #e2e0e0;
        }

        h3 {
            margin-top: 50px;
        }
    </style>
</head>
<body>
<?= $status ?? '' ?>
</body>
</html>
