import { getTextForModal, setModalContent, removeStylesOfHighlightedElements } from '../features/index.js';

/**
 * @param {string} currentStep
 */

export const another = (currentStep) => {
  removeStylesOfHighlightedElements();

  const $stats = document.getElementById('anotherOfPerson');

  const $modalContainer = document.getElementById('trainingModalContainer');
  const $modalNextButton = document.getElementById('nextTrainingModal');
  const $modalCloseButton = document.createElement('button');

  $modalCloseButton.id = 'closeTrainingModal';
  $modalCloseButton.classList.add('trainingModalButton');
  $modalCloseButton.textContent = getTextForModal('newCombats.trainingModal.closeButton');

  $modalContainer.removeChild($modalNextButton);
  $modalContainer.append($modalCloseButton);

  // $stats.classList.add('highlightedTrainingElement');

  setModalContent({
    keyTitle: 'newCombats.trainingModal.step6.title',
    keyContent: 'newCombats.trainingModal.step6.text',
    currentStep,
  });
};
