import { SET_STEP, ALLOW_RENDER, CLEAN_STATE } from './types.js';

/**
 * @returns {{type: CLEAN_STATE}}
 */
export const cleanState = () => ({ type: CLEAN_STATE });

/**
 * @returns {{type: ALLOW_RENDER}}
 */
export const allowRender = () => ({ type: ALLOW_RENDER });

/**
 * @param {number} step
 * @returns {{type: SET_STEP}}
 */
export const setStep = (step) => ({ type: SET_STEP, payload: step });
