<?php

namespace Core;

class Config
{
    const EKR_RUB_PRICE = 30;
    const KR_TO_EKR_EXCHANGE = 500;
    const EKR_TO_KR_EXCHANGE = 200;
    private static self $instance;
    private static string $hostname = 'new-combats.tech';
    private static string $gamename = 'Бойцовский Клуб';

    private function __construct()
    {
        //singleton
    }

    /** Самый распространённый субдомен
     *  //img.{siteName}.
     * @return string
     */
    public static function img(): string
    {
        return self::subdomain('img');
    }

    private static function subdomain(string $name): string
    {
        return DIRECTORY_SEPARATOR . DIRECTORY_SEPARATOR . $name . '.' . self::$hostname;
    }

    public static function get(?string $key = null)
    {
        $c['ver'] = '1.8.3.7';
        /* Конфигурации игры */
        $c['name'] = 'Новый «' . self::$gamename . '»';
        $c['title'] = $c['name'] . ' - Бесплатная,браузерная онлайн игра'; //Название игры
        $c['title2'] = ' - Бесплатная, онлайн игра посвященная сражениям и магии!';
        $c['title3'] = $c['name'];
        $c['keys'] = self::$gamename . ', combats.com, ' . self::$gamename . ' игра, ' . self::$gamename . ' играть, игра ' . self::$gamename . ', старый ' . self::$gamename . ', ' . self::$gamename . ' онлайн игра, ' . self::$gamename . ' браузерная игра, играть в ' . $c['name'] . ', игра бк, бк игра, старый бк, играть в бк, бк онлайн игра, новый бк, Легендарный ' . $c['name'] . ', легендарный бк, combats, комбатс, combats ru, combats com, OldBK, oldbk ru, oldbk com, олдбк, old bk, олд бк, mycombats, rebk, recombats, oldcombats, obk2'; //Ключевые слова META
        $c['desc'] = self::$gamename . ' – это бесплатная увлекательная браузерная онлайн игра 2004-2009г, в которой сконцентрировано все самое лучшее от современных онлайн игр. В этой браузерной игре заложены самые интересные традиции всем известной онлайн игры под названием «' . self::$gamename . ' 2004-2009», которая, кстати, стала первооткрывателем всех браузерных игр.'; //Описание META
        $c['footer'] = $c['name'] . ' © 2013-' . date('Y');

        //Сервера
        $c['host'] = self::$hostname;
        $c['forum'] = self::subdomain('forum');
        $c['img'] = 'img.' . self::$hostname;
        $c['thiscity'] = 'capitalcity';
        $c['capitalcity'] = self::$hostname;
        $c['abandonedplain'] = self::$hostname;
        $c['https'] = DIRECTORY_SEPARATOR . DIRECTORY_SEPARATOR . self::$hostname;
        $c['img2'] = self::subdomain('img');
        $c['lib'] = self::subdomain('lib');
        $c['exit'] = "<script>window.location.replace('{$c['https']}');</script>";
        $c['support'] = 'support@' . $c['host'];


        //Валюта
        $c['curency_name'] = 'RUB';
        $c['curency_value'] = 30;

        //Бот клон
        $c['bot_level'] = 0; // до какого лвл бот (включительно)
        $c['propsk_die'] = 0; //Смерть при пропуске ходов, 0 - выкл. , >= 1 - количество пропусков до смерти при нападении

        //Скупка
        $c['exp'] = 0; //бонус опыта
        $c['shop_type1'] = 100; //в гос НЕ ТРОГАТЬ
        $c['shop_type2'] = 90; //в березку НЕ ТРОГАТЬ
        $c['shop_all'] = 0; //Скупка на все! , 0 - сделать для отключения скупки.
        $c['shop_all_type1'] = 100; //Скупка только с госе! , 0 - сделать для отключения скупки.
        $c['shop_all_type2'] = 100; //Скупка только с березки! , 0 - сделать для отключения скупки.
        //
        $c['nosanich'] = true; //Странички Саныча не выпадают - true , выпадают - false
        $c['zuby'] = false; //зубы
        $c['limitedexp'] = false; //лимит опыта
        $c['expstop'] = 2999999; //9; //Опыт на котором останавливаемся 11 149999999
        $c['expstopu'] = 2999999; //Опыт на котором останавливаемся
        $c['noobgade'] = false; //нуб квест (пещера)
        $c['level_ransfer'] = 8; //С какого уровня разрешены передачи

        $c['noitembuy'] = false; //Не требует ресурсы для покупки
        $c['effz'] = 0; //Скольким секундам равен заряд
        $c['money_haot'] = true; //кр за хаоты
        $c['crtoecr'] = 500; //Курс обмена кр на екр (если 0, то выключено)
        $c['ecrtocr'] = 200; //Курс обмена екр на кр
        $c['bonuslevel'] = true; //Бонус уровня
        $c['bonussocial'] = false; //Бонус социальный

        $c['w'] = date('w');
        $c['m'] = date('m');

        $c['counters'] = '';
        $c['counters_noFrm'] = '';
        $c['securetime'] = 0; //Время последнего возможного взлома персов (подбор пароля по базам данных других игр)

        $c['copyright'] = 'Copyright © ' . date('Y') . ' « Новый Бойцовский Клуб »';
        $c['db_host'] = 'db';
        $c['db_user'] = 'prod1';
        $c['db_name'] = 'game_production';
        $c['db_password'] = 'Bz@fGaZjFU2206Ua';
        return $c[$key] ?? $c;
    }

    public static function init(): Config
    {
        if (!isset(self::$instance)) {
            self::$instance = new static();
        }
        return self::$instance;
    }
}
