<?php

namespace Insallah\Tournaments;

class Config
{
    const IS_ENABLED = true;
    const SEND_CHAT_MESSAGE = 3;
    const START_TOURNAMENT = 5;
    const PRIZE1 = 25;
    const PRIZE2 = 10;
    const PRIZE3 = 5;
    const MIN_EXP = 175000;
    const CHAT_MESSAGE = 'Внимание! Турнир для %d уровня открыт! Поспешите принять участие в Зале Воинов!';
    const VICTORY_MESSAGE = 'Турнир для %d уровней завершён! Первое место: %s. Второе место: %s. Третье место: %s.';
    const DELAY1 = '+12hour';
    const DELAY2 = '+6hour';
    const DELAY3 = '+3hour';
    const STEP_EKR = 151;
    const DELAY_EFFECT_ID = 486;
    const CUSTOM_BATTLE_ID = 25000;
    const PRIZE_ITEM_ID = 0;
    const RETURN_ROOM = 9;
    const MINIMUM_USER_LEVEL = 8;

    /** Формула рассчёта разрешённой стоимости одетых предметов.
     *
     * @param $level
     * @return float|int
     */
    public static function ekrOverpriceFormula($level)
    {
        return max(($level - ($level - 1)) * self::STEP_EKR, 0);
    }
}
