<?php 

class Validator{
	
	private $_field_data = array();
	private $_error_messages = array();
	private $_error_prefix	= '<p>';
	private $_error_suffix	= '</p>';
	
	
	function __construct(){
		
	}
	
	
	/**
	 * РЈСЃС‚Р°РЅРѕРІРєР° РїРѕР»РµР№ РІР°Р»РёРґР°С†РёРё
	 */
	function set_rules($field, $label = '', $rules = ''){
		
		//РќРµС‚ POST РґР°РЅРЅС‹С…
		if (sizeof($_POST) == 0){
			
			return;
		}
		
		//Р•СЃР»Рё РїСЂР°РІРёР»Р° РІР°Р»РёРґР°С†РёРё РїРµСЂРµРґР°РЅС‹ РІ РІРёРґРµ РјР°СЃСЃРёРІР°
		if(is_array($field)){
			
			foreach ($field as $row){
				
				//Р•СЃР»Рё РЅРµ СѓСЃС‚Р°РЅРѕРІР»РµРЅРѕ РїРѕР»Рµ РІР°Р»РёРґР°С†РёРё РёР»Рё РїСЂР°РІРёР»Р° РІР°Р»РёРґР°С†РёРё,
				//С‚Рѕ РїСЂРѕРїСѓСЃРєР°РµРј СЌС‚Рѕ РїРѕР»Рµ
				if ( ! isset($row['field']) OR ! isset($row['rules'])){
					
					continue;
				}

				//Р•СЃР»Рё РЅР°Р·РІР°РЅРёРµ РїРѕР»СЏ РЅРµ РїРµСЂРµРґР°РЅРѕ РёСЃРїРѕР»СЊР·СѓРµРј РёРјСЏ РїРѕР»СЏ
				$label = ( ! isset($row['label'])) ? $row['field'] : $row['label'];

				
				$this->set_rules($row['field'], $label, $row['rules']);
			}
			return;
		}
		
		//РџСЂР°РІРёР»Р° РІР°Р»РёРґР°С†РёРё РґРѕР»Р¶РЅС‹ Р±С‹С‚СЊ РїРµСЂРµРґР°РЅС‹ РІ РІРёРґРµ РјР°СЃСЃРёРІР°,
		//Р° РїРѕР»Рµ РІР°Р»РёРґР°С†РёРё СЃС‚СЂРѕРєРѕР№
		if ( ! is_string($field) OR  ! is_array($rules) OR $field == ''){
			
			return;
		}


		//Р•СЃР»Рё РЅР°Р·РІР°РЅРёРµ РїРѕР»СЏ РЅРµ РїРµСЂРµРґР°РЅРѕ РёСЃРїРѕР»СЊР·СѓРµРј РёРјСЏ РїРѕР»СЏ
		$label = ($label == '') ? $field : $label;
		
		
		$this->_field_data[$field] = array(
											'field'		=> $field, 
											'label'		=> $label, 
											'rules'		=> $rules,
											'postdata'	=> NULL,
											'error'		=> ''
											);
	}
	
	
	
	/**
	 * Р’Р°Р»РёРґР°С†РёСЏ РґР°РЅРЅС‹С…
	 */
	function run(){
		
		//РќРµС‚ POST РґР°РЅРЅС‹С…
		if (sizeof($_POST) == 0){
			
			return FALSE;
		}
		
		//Р•СЃР»Рё РЅРµС‚ Р·Р°РґР°РЅРЅС‹С… РїРѕР»РµР№ РґР»СЏ РІР°Р»РёРґР°С†РёРё
		if(sizeof($this->_field_data) == 0){
			
			return FALSE;
		}
		

		foreach ($this->_field_data as $field => $row){

			//РџРѕР»СѓС‡Р°РµРј POST РґР°РЅРЅС‹Рµ РґР»СЏ СѓСЃС‚Р°РЅРѕРІР»РµРЅРЅС‹С… РїРѕР»РµР№ РІР°Р»РёРґР°С†РёРё
			//if (isset($_POST[$field])){
				
				$this->_field_data[$field]['postdata'] = (isset($_POST[$field]))? $_POST[$field]: NULL;
                
                //РџСЂРѕРІРµСЂРєР° РїСЂР°РІРёР» РІР°Р»РёРґР°С†РёРё
                $this->checkrule($row,$this->_field_data[$field]['postdata']);
			//}	
		}
		
		
		$total_errors = sizeof($this->_error_messages);
		
		if($total_errors == 0){
			
			return TRUE;
		}
		
		return FALSE;
	}
	
	
	/**
	 * 
	 * РџСЂРѕРІРµСЂРєР° РїСЂР°РІРёР» РІР°Р»РёРґР°С†РёРё
	 */
	function checkrule($field,$postdata){
		
		if(is_array($postdata)){
			
			foreach($postdata as $key => $val){
				
				$this->checkrule($field,$val);
			}
			
			return;
		}
		
		foreach($field['rules'] as $rule => $message){

			$param = FALSE;
			
			if (preg_match("/(.*?)\[(.*?)\]/", $rule, $match))
			{
				$rule	= $match[1]; //РџСЂР°РІРёР»Рѕ РІР°Р»РёРґР°С†РёРё
				$param	= $match[2]; //РџР°СЂР°РјРµС‚СЂС‹
			}
			
			//РµСЃР»Рё СЌС‚Рѕ РїСЂР°РІРёР»Рѕ РЅРµ РІС…РѕРґРёС‚ СЃ СЃРѕСЃС‚Р°РІ Р±РёР±Р»РёРѕС‚РµРєРё
			if(!method_exists($this, $rule)){
				
				//С‚Рѕ Р±СѓРґРµРј СЃС‡РёС‚Р°С‚СЊ, С‡С‚Рѕ СЌС‚Рѕ СЃС‚Р°РЅРґР°СЂС‚РЅР°СЏ С„СѓРЅРєС†РёСЏ PHP
				//РєРѕС‚РѕСЂР°СЏ РїСЂРёРЅРёРјР°РµС‚ С‚РѕР»СЊРєРѕ РѕРґРёРЅ РІС…РѕРґРЅРѕР№ РїР°СЂР°РјРµС‚СЂ
				if(function_exists($rule)){
					
					$result = $rule($postdata);
					
					//Р•СЃР»Рё С„СѓРЅРєС†РёСЏ РІРѕР·РІСЂР°С‰Р°РµС‚ Р±СѓР»РµРІРѕРµ Р·РЅР°С‡РµРЅРёРµ (TRUR|FALSE),
					//С‚Рѕ РјС‹ РЅРµ РёР·РјРµРЅСЏРµРј РїРµСЂРµРґР°РЅРЅС‹Рµ POST РґР°РЅРЅС‹Рµ, РёРЅР°С‡Рµ Р·Р°РїРёСЃС‹РІР°РµРј
					//РѕС‚С„РѕСЂРјР°С‚РёСЂРѕРІР°РЅРЅС‹Рµ РґР°РЅРЅС‹Рµ					
					$postdata = (is_bool($result)) ? $postdata : $result;
					$this->set_field_postdata($field['field'],$postdata);
					
					continue;
				}				
			}
			else{
				
				$result = $this->$rule($postdata,$param);
			}
			

			$postdata = (is_bool($result)) ? $postdata : $result;
			$this->set_field_postdata($field['field'],$postdata);
			
			//РµСЃР»Рё РґР°РЅРЅС‹Рµ РЅРµ РїСЂРѕС€Р»Рё РІР°Р»РёРґР°С†РёСЋ
			if($result == FALSE && $message != ''){

				//Р¤РѕСЂРјРёСЂСѓРµРј СЃРѕРѕР±С‰РµРЅРёРµ РѕР± РѕС€РёР±РєРµ
				$error = sprintf($message, $field['label']);
				
				//РЎРѕС…СЂР°РЅСЏРµРј СЃРѕРѕР±С‰РµРЅРёРµ РѕР± РѕС€РёР±РєРµ
				$this->_field_data[$field['field']]['error'] = $error;
				
				if ( ! isset($this->_error_messages[$field['field']])){
					
					$this->_error_messages[$field['field']] = $error;
				}
				
			}
			
			continue;
		}
		
		return;
	}
	
	
	/**
	 * РЈСЃС‚Р°РЅРѕРІРєР° POST РґР°РЅРЅС‹С…
	 */
	private function set_field_postdata($field,$postdata){

		if(isset($this->_field_data[$field]['postdata'])){
			
			$this->_field_data[$field]['postdata'] = $postdata;

		}	
	}
	
	
	
	/**
	 * Р’РѕР·РІСЂР°С‰Р°РµС‚ POST РґР°РЅРЅС‹Рµ РґР»СЏ РЅСѓР¶РЅРѕРіРѕ СЌР»РµРјРµРЅС‚Р°
	 */
	function postdata($field){
		
		if(isset($this->_field_data[$field]['postdata'])){
			
			return $this->_field_data[$field]['postdata'];
		}
		else return FALSE;
	}
	
	
	
	/**
	 * РћС‡РёС‰Р°РµС‚ РІСЃРµ POST РґР°РЅРЅС‹Рµ
	 */
	function reset_postdata(){
		
		$this->_field_data = array();
	}
	
	
	/** 
	 * Р’РѕР·РІСЂР°С‰Р°РµС‚ РІСЃРµ СЃРѕРѕР±С‰РµРЅРёСЏ РѕР± РѕС€РёР±РєР°С… РІ РІРёРґРµ СЃС‚СЂРѕРєРё
	 */
	function get_string_errors($prefix = '',$suffix = ''){
		
		
		if (count($this->_error_messages) == 0){
			
			return '';
		}
		
		if ($prefix == '')
		{
			$prefix = $this->_error_prefix;
		}

		if ($suffix == '')
		{
			$suffix = $this->_error_suffix;
		}
		
		// Р¤РѕСЂРјРёСЂСѓРµРј СЃС‚СЂРѕРєСѓ СЃ РѕС€РёР±РєР°РјРё
		$str = '';
		foreach ($this->_error_messages as $val)
		{
			if ($val != '')
			{
				$str .= $prefix.$val.$suffix."\n";
			}
		}
		
		return $str;

	}
	
	
	/** 
	 * Р’РѕР·РІСЂР°С‰Р°РµС‚ РІСЃРµ СЃРѕРѕР±С‰РµРЅРёСЏ РѕР± РѕС€РёР±РєР°С… РІ РІРёРґРµ СЃС‚СЂРѕРєРё
	 */
	function get_array_errors(){
		
		return $this->_error_messages;
	}
	
	
	/**
	 * Р’РѕР·РІСЂР°С‰Р°РµС‚ СЃРѕРѕР±С‰РµРЅРёРµ РѕР± РѕС€РёР±РєР° РґР»СЏ СѓРєР°Р·Р°РЅРЅРѕРіРѕ РїРѕР»СЏ
	 * @param string
	 */
	function form_error($field){
		
		if(isset($this->_error_messages[$field])){
			
			return $this->_error_prefix.$this->_error_messages[$field].$this->_error_suffix;
		}
		else return FALSE;
	}
	
	
	
	function set_error_delimiters($prefix = '<p>', $suffix = '</p>')
	{
		$this->_error_prefix = $prefix;
		$this->_error_suffix = $suffix;
	}
	
	
	
	/**
	 * Р—РЅР°С‡РµРЅРёРµ РЅРµ РјРѕР¶РµС‚ Р±С‹С‚СЊ РїСѓСЃС‚С‹Рј
	 *
	 * @access	public
	 * @param	string
	 * @return	bool
	 */
	function required($str)
	{
		if ( ! is_array($str))
		{
			return (trim($str) == '') ? FALSE : TRUE;
		}
		else
		{
			return ( ! empty($str));
		}
	}
	
	
	/**
	 * 
	 * РџСЂРѕРІРµСЂРєР° РїРѕР»СЏ РЅР° С†РµР»РѕРµ С†РёСЃР»Рѕ
	 * @param string
	 */
	function integer($str){
		
		
		return filter_var($str, FILTER_VALIDATE_INT);
	}
	
	
	/**
	 * 
	 * РџСЂРѕРІРµСЂРєР° РїРѕР»СЏ РЅР° С†РёСЃР»Рѕ c РїР»Р°РІР°СЋС‰РµР№ С‚РѕС‡РєРѕР№
	 * @param string
	 */
	function float($str){
		
		
		return filter_var($str, FILTER_VALIDATE_FLOAT);
	}
	
	
	/**
	 * Р’Р°Р»РёРґР°С†РёСЏ URL
	 * @param string
	 */
	function valid_url($str){

		return filter_var($str, FILTER_VALIDATE_URL);
	}
	
	
	/**
	 * 
	 * Р’Р°Р»РёРґР°С†РёСЏ email-Р°РґСЂРµСЃР°
	 * @param string
	 */
	function valid_email($str){
		
		
		return filter_var($str, FILTER_VALIDATE_EMAIL);
	}
	
	
	/**
	 * 
	 * Р’Р°Р»РёРґР°С†РёСЏ IP-Р°РґСЂРµСЃР°
	 * @param string
	 */
	function valid_ip($str){
		
		
		return filter_var($str, FILTER_VALIDATE_IP);
	}
	
	
	/**
	 * Match one field to another
	 *
	 * @access	public
	 * @param	string
	 * @param	field
	 * @return	bool
	 */
	function matches($str, $field)
	{
		if ( ! isset($_POST[$field]))
		{
			return FALSE;				
		}
		
		$field = $_POST[$field];

		return ($str !== $field) ? FALSE : TRUE;
	}
	
	
	
	/**
	 * РўРѕР»СЊРєРѕ Р±СѓРєРІС‹ Р»Р°С‚РёРЅСЃРєРѕРіРѕ Р°Р»С„Р°РІРёС‚Р°
	 *
	 * @access	public
	 * @param	string
	 * @return	bool
	 */		
	function alpha($str)
	{
		return ( ! preg_match("/^([a-z])+$/i", $str)) ? FALSE : TRUE;
	}
	
	
	
	/**
	 * РџСЂРѕРІРµСЂРєР° РєР°РїС‡Рё
	 *
	 * @access	public
	 * @param	string
	 * @param	string
	 * @return	bool
	 */	
	function valid_captcha($str,$name){
		
		return (!empty($_SESSION[$name]) && $_SESSION[$name] == $str)? TRUE: FALSE;
	}
	
	
	/**
	 * РџСЂРѕРІРµСЂРєР° РґР°С‚С‹
	 *
	 * @access	public
	 * @param	string
	 * @return	bool
	 */	
	function valid_date($str){
		
		$stamp = strtotime( $str );

		if (!is_numeric($stamp)){
			
			return FALSE;
		}
		
		$month = date( 'm', $stamp );
		$day   = date( 'd', $stamp );
		$year  = date( 'Y', $stamp );
		
		return checkdate($month, $day, $year); 
	}
	
	
	function unique($str,$fields){
		
		list($table,$field) = explode('.',$fields);
		
		$result = mysql_query("SELECT COUNT(*) AS count FROM `".$table."` WHERE ".mysql_real_escape_string($field)."='".mysql_real_escape_string($str)."'");
	
		$myrow  =  mysql_fetch_assoc($result);
		
		return $myrow['count'] == 0;
		
	}
}

?>